package com.bionicbasket.app;

import com.bionicbasket.app.R;

import android.app.Activity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

public class AdaptadorCalendario extends BaseAdapter {
	private final Activity actividad;

	public AdaptadorCalendario(Activity actividad) {
		super();

		this.actividad = actividad;
	}

	public View getView(int position, View convertView, ViewGroup parent) {
		LayoutInflater inflater = actividad.getLayoutInflater();
		View view = inflater.inflate(R.layout.elemento_calendario, null, true);

		// Fecha del partido
		TextView fecha = (TextView) view.findViewById(R.id.fecha);
		fecha.setText(AlmacenDatos.jornadas.elementAt(position).getFecha());

		// Hora del partido
		TextView hora = (TextView) view.findViewById(R.id.hora);
		hora.setText(AlmacenDatos.jornadas.elementAt(position).getHora());

		// Pabellón del partido
		TextView pabellon = (TextView) view.findViewById(R.id.pabellon);
		pabellon.setText(AlmacenDatos.jornadas.elementAt(position)
				.getPabellon());

		// Equipo local
		TextView local = (TextView) view.findViewById(R.id.local);
		local.setText(AlmacenDatos.jornadas.elementAt(position).getLocal());

		// Equipo visitante
		TextView visitante = (TextView) view.findViewById(R.id.visitante);
		visitante.setText(AlmacenDatos.jornadas.elementAt(position)
				.getVisitante());

		// Resultado (en el caso de no haberlo aparecerá un guión)
		TextView resultado = (TextView) view.findViewById(R.id.resultado);
		resultado.setText(AlmacenDatos.jornadas.elementAt(position)
				.getResultado());

		return view;
	}

	public int getCount() {
		return AlmacenDatos.jornadas.size();
	}

	public Object getItem(int arg0) {
		return AlmacenDatos.jornadas.elementAt(arg0);
	}

	public long getItemId(int position) {
		return position;
	}
}