package com.bionicbasket.app;

import android.app.Activity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

public class AdaptadorClasificacion extends BaseAdapter {
	private final Activity actividad;

	public AdaptadorClasificacion(Activity actividad) {
		super();

		this.actividad = actividad;
	}

	public View getView(int position, View convertView, ViewGroup parent) {
		LayoutInflater inflater = actividad.getLayoutInflater();
		View view = inflater.inflate(R.layout.elemento_clasificacion, null,
				true);

		// Posición en la clasificación
		TextView posicion = (TextView) view.findViewById(R.id.posicion);
		posicion.setText(Integer.toString(AlmacenDatos.posiciones.elementAt(
				position).getPosicion()));

		// Nombre del equipo
		TextView nombre = (TextView) view.findViewById(R.id.nombre);
		nombre.setText(AlmacenDatos.posiciones.elementAt(position).getNombre());

		// Partidos jugados
		TextView jugados = (TextView) view.findViewById(R.id.jugados);
		jugados.setText(Integer.toString(AlmacenDatos.posiciones.elementAt(
				position).getJugados()));

		// Partidos ganados
		TextView ganados = (TextView) view.findViewById(R.id.ganados);
		ganados.setText(Integer.toString(AlmacenDatos.posiciones.elementAt(
				position).getGanados()));

		// Partidos perdidos
		TextView perdidos = (TextView) view.findViewById(R.id.perdidos);
		perdidos.setText(Integer.toString(AlmacenDatos.posiciones.elementAt(
				position).getPerdidos()));

		// Tanteo a favor
		TextView a_favor = (TextView) view.findViewById(R.id.a_favor);
		a_favor.setText(Integer.toString(AlmacenDatos.posiciones.elementAt(
				position).getA_favor()));

		// Tanteo en contra
		TextView en_contra = (TextView) view.findViewById(R.id.en_contra);
		en_contra.setText(Integer.toString(AlmacenDatos.posiciones.elementAt(
				position).getEn_contra()));

		// Puntos
		TextView puntos = (TextView) view.findViewById(R.id.puntos);
		puntos.setText(Integer.toString(AlmacenDatos.posiciones.elementAt(
				position).getPuntos()));

		return view;
	}

	public int getCount() {
		return AlmacenDatos.posiciones.size();
	}

	public Object getItem(int arg0) {
		return AlmacenDatos.posiciones.elementAt(arg0);
	}

	public long getItemId(int position) {
		return position;
	}
}